Bug 220891 - Review Request: greylistd - Greylisting daemon
Review Request: greylistd - Greylisting daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-28 08:00 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-02 10:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-12-28 08:00:48 EST
Spec URL: http://dl.atrpms.net/all/greylistd.spec
SRPM URL: http://dl.atrpms.net/all/greylistd-0.8.2-6.at.src.rpm
Description:
Greylisting is a simple but highly effective means to weed out
messages that are being delivered via spamware/ratware tools.  The
idea is to establish whether a prior relationship exists between the
sender and the receiver of a message.  Most of the time it does, and
the delivery proceeds normally.

On the other hand, if no prior relationship exists, the delivery is
temporarily rejected.  Legitimate MTAs will treat this response
accordingly, and retry the delivery in a while.  In contrast, ratware
will usually fail to retry the delivery in a normal fashion.
Comment 1 Rafał Psota 2006-12-30 20:45:35 EST
This is not an official review, I'm looking for a sponsor.

rpmlint for SRPM returns this:
W: greylistd summary-ended-with-dot Greylisting daemon.
W: greylistd no-url-tag
E: greylistd unknown-key GPG#66534c2b
W: greylistd strange-permission greylistd.init 0755
W: greylistd prereq-use /sbin/chkconfig, /sbin/service

Package fails to build (in mock too - FC6 i386): http://pastebin.ca/297379

Prefered BuildRoot is %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Maybe you should use spaces or tabs to make specfile preamble more legible?
Comment 2 Axel Thimm 2006-12-30 21:31:05 EST
Sorry, the URL of the srpm was wrong (but that of the specfile was correct), I
had fixed most of the above already in greylistd-0.8.3.2-6.at.src.rpm

But the issue with _initdir wasn't fixed, so the above will still not build for
you. Please use

Spec URL: http://dl.atrpms.net/all/greylistd.spec
SRPM URL: http://dl.atrpms.net/all/greylistd-0.8.3.2-7.at.src.rpm

instead.

There is still no URL tag as the project doesn't have a homepage, and the GPG
key will be unknown to rpmlint (unless you import the ATrpms key which is what
this was used to sign the package with, but you don't need to import anything,
I'm just explaining rpmlint's error message on the GPG key)
Comment 3 manuel wolfshant 2007-01-10 07:57:46 EST
MUST
- rpmlint checks return:
on greylistd-0.8.3.2-7.at.src.rpm
W: greylistd no-url-tag
E: greylistd unknown-key GPG#66534c2b
As explained in comment #2 the warning is due to lack of homepage for the
project, second one can be safey ignored. However I suggest using
ftp://ftp.debian.org/debian/pool/main/g/greylistd/ as URL. Second one can safely
be ignored.

on generated binary:
W: greylistd no-url-tag
E: greylistd non-standard-uid /var/run/greylistd/socket greylistd
E: greylistd non-standard-gid /var/run/greylistd/socket greylistd
E: greylistd non-standard-uid /var/run/greylistd greylistd
E: greylistd non-standard-gid /var/run/greylistd greylistd
E: greylistd non-standard-uid /var/lib/greylistd greylistd
E: greylistd non-standard-gid /var/lib/greylistd greylistd
E: greylistd non-standard-dir-perm /var/lib/greylistd 0750
E: greylistd non-standard-uid /var/lib/greylistd/states greylistd
E: greylistd non-standard-gid /var/lib/greylistd/states greylistd
E: greylistd non-readable /var/lib/greylistd/states 0640
E: greylistd non-standard-uid /var/lib/greylistd/triplets greylistd
E: greylistd non-standard-gid /var/lib/greylistd/triplets greylistd
E: greylistd non-readable /var/lib/greylistd/triplets 0640
All these can be ignored since the package creates its own user to run as and
makes some files available just to said user
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL ) is OK and matches source (based on examining the man pages)
- spec file legible, in am. english
- source matches upstream, sha1sum c634919b301f9d34c7609bf8fbf236362fc54295 
greylistd_0.8.3.2.tar.gz
- package compiles and builds on FC6 and devel (i386)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- duplicate file: %{_initdir}/greylistd
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- no static, headers or libtool files

SHOULD
- compiles and builds in mock for FC6/i386; result is noarch (the whole lot
consists of some python scripts) so no reason to not build on other archs
- pre/post are sane
- no sacrifice box to test the scripts on , I can only assume they work as
intended :(


This package is APPROVED but please do not forget to remove the duplicate entry
for %{_initdir}/greylistd before importing. And you should also bug upstream to
include the license in the tar file.
Comment 4 Axel Thimm 2007-01-10 08:56:20 EST
Thanks for the review! I contacted upstream on including the license and removed
the duplicate:

* Wed Jan 10 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8.3.2-8
- Remove double initfile in %%files.
Comment 5 Axel Thimm 2007-02-02 10:47:02 EST
Oops, forgot to properly close this one, thanks again for the review!

Note You need to log in before you can comment on or make changes to this bug.